#ifndef _P1_IMAGE_SDK_RECT_H_
#define _P1_IMAGE_SDK_RECT_H_

#include <cstdint>
#include <memory>
#include <string>

#include "C_P1ImageCommonLinkage.h"

namespace P1
{
namespace ImageSdk
{
    struct EXPORT_API Point
    {
        int32_t x;
        int32_t y;

        std::string ToString() const;
    };

    struct EXPORT_API Size
    {
        int32_t width;
        int32_t height;

        std::string ToString() const;
    };

    struct EXPORT_API Rect : public Point, public Size
    {
        Rect();
        Rect(int32_t x, int32_t y, int32_t w, int32_t h);

        std::string ToString() const;
    };

}
}


#endif //_P1_IMAGE_SDK_RECT_H_